org.eclipse.jetty.util.ajax

## Class JSONPojoConvertorFactory

- java.lang.Object
- - org.eclipse.jetty.util.ajax.JSONPojoConvertorFactory

All Implemented Interfaces:
  JSON.Convertor

    public class JSONPojoConvertorFactory
    extends Object
    implements JSON.Convertor

### Constructor Summary

Constructors
Constructor and Description
`JSONPojoConvertorFactory(JSON json)`
`JSONPojoConvertorFactory(JSON json, boolean fromJSON)`

### Method Summary

Methods
`Object` `fromJSON(Map object)`
`void` `toJSON(Object obj, JSON.Output out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONPojoConvertorFactory

    public JSONPojoConvertorFactory(JSON json)

#### JSONPojoConvertorFactory

    public JSONPojoConvertorFactory(JSON json,
                            boolean fromJSON)

Parameters:
  `json` - The JSON instance to use
  `fromJSON` - If true, the class name of the objects is included in the generated JSON and is used to instantiate the object when JSON is parsed (otherwise a Map is used).

### Method Detail

#### toJSON

    public void toJSON(Object obj,
              JSON.Output out)

Specified by:
  `toJSON` in interface `JSON.Convertor`

#### fromJSON

    public Object fromJSON(Map object)

Specified by:
  `fromJSON` in interface `JSON.Convertor`